@echo # IDL creater batch file
@echo #
@echo # H.Takahshi
@echo # last modify Aug. 2009

@echo off
setlocal

@echo # set omniidl's root
set omni_root=%OMNI_ROOT%
set omni_bin=%omni_root%\bin\x86_win32
@echo %omni_bin%

@echo # set rtm's root
set rtm_root=%RTM_ROOT%
set rtm_bin=%rtm_root%\bin;%rtm_root%\build
set rtm_path=%rtm_bin%;%omni_bin%
set rtm_idlc=omniidl
set rtm_idlflags=-bcxx -Wba -nf
set rtm_idldir=%rtm_root%rtm\idl

rem @echo # set python's root
rem set PYTHON_ROOT=C:\Python26
rem @echo %PYTHON_ROOT%

@echo # set idl file's directory
set user_idldir=.\idl\
@echo %user_idldir%

@echo create Skel and Stub files from idl
set PATH=%rtm_path%; %PYTHON_ROOT%\\; %PATH%
cd %user_idldir%
for %%x in (*.idl) do rtm-skelwrapper.py --include-dir="" --skel-suffix=Skel --stub-suffix=Stub --idl-file=%%x
@echo ...done
@echo omniidl create some files
for %%x in (*.idl) do %rtm_idlc% %rtm_idlflags% -I"%rtm_idldir%" %%x
@echo ...done

endlocal